use super::*;

pub struct NetworkManager {
    channel:Sender<Query>,
}

impl NetworkManager {

}

impl Subsystem for NetworkManager {
    fn start(_supervisor:Option<Sender<Query>>) -> Result<Sender<Query>, Error>
    {
        Err(Error::new())
    }
}

impl From<Sender<Query>> for NetworkManager {
    fn from(channel:Sender<Query>) -> Self {
        Self { channel }
    }
}
